> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction

> GetTransaction

 Returns transaction information by transaction ID.



## OpenAPI

````yaml get /monetization/transactions/v1/{transaction_id}
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /monetization/transactions/v1/{transaction_id}:
    get:
      tags:
        - TransactionService
      description: |-
        GetTransaction

         Returns transaction information by transaction ID.
      operationId: TransactionService_GetTransaction
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.monetization.transaction.v1.GetTransactionResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.monetization.transaction.v1.GetTransactionResponse:
      type: object
      properties:
        transaction:
          $ref: '#/components/schemas/motto.monetization.transaction.v1.Transaction'
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.monetization.transaction.v1.Transaction:
      required:
        - offer_id
      type: object
      properties:
        id:
          readOnly: true
          type: string
          description: The transaction ID
        project_id:
          readOnly: true
          type: string
          description: The project ID that is associated with the transaction.
        user_id:
          readOnly: true
          type: string
          description: The user ID that is associated with the purchase.
        offer_id:
          type: string
          description: The offer ID that is being purchased.
        offer_title:
          readOnly: true
          type: string
          description: >-
            The title of the offer. This is dematerialized from the offer at the
            time of creating the transaction.
        offer_description:
          readOnly: true
          type: string
          description: >-
            The description of the offer. This is dematerialized from the offer
            at the time of creating the transaction.
        status:
          readOnly: true
          enum:
            - TRANSACTION_STATUS_UNSPECIFIED
            - TRANSACTION_STATUS_IN_PROGRESS
            - TRANSACTION_STATUS_COMPLETED
            - TRANSACTION_STATUS_FAILED
            - TRANSACTION_STATUS_EXPIRED
            - TRANSACTION_STATUS_CANCELLED
            - TRANSACTION_STATUS_REFUNDED
          type: string
          description: The status of the transaction.
          format: enum
        msrp:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/google.type.Money'
          description: The MSRP of the offer at the time of creating the transaction.
        subtotal_amount:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/google.type.Money'
          description: >-
            The price that the user is paying for the offer (after any discounts
            or promotions, but before taxes).

             Warning: wile transactions are incomplete, this field is only indicative.
        total_amount:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/google.type.Money'
          description: >-
            The price that the user is paying for the offer, after taxes have
            been applied. Depending on the region, this may
             be the same as the `price` field (because VAT is included in the price), while in other regions, VAT is added
             on top of the price.
        vat_amount:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/google.type.Money'
          description: The VAT amount that was applied to the transaction.
        discount_code:
          readOnly: true
          type: string
          description: A discount code applied to the transaction.
        discount_amount:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/google.type.Money'
          description: >-
            The discount amount applied to the transaction.


            Important: at most one of `discount_amount`, `discount_percentage`
            may be set per request.
        discount_percentage:
          readOnly: true
          type: number
          description: >-
            The discount percentage applied to the transaction, which is a value
            between 0 and 100.


            Important: at most one of `discount_amount`, `discount_percentage`
            may be set per request.
          format: float
        billing_period:
          readOnly: true
          enum:
            - BILLING_PERIOD_UNSPECIFIED
            - BILLING_PERIOD_ONE_TIME
            - BILLING_PERIOD_WEEKLY
            - BILLING_PERIOD_MONTHLY
            - BILLING_PERIOD_QUARTERLY
            - BILLING_PERIOD_YEARLY
          type: string
          format: enum
        access_period:
          readOnly: true
          enum:
            - ACCESS_PERIOD_UNSPECIFIED
            - ACCESS_PERIOD_FOREVER
            - ACCESS_PERIOD_24_HOURS
            - ACCESS_PERIOD_48_HOURS
            - ACCESS_PERIOD_7_DAYS
            - ACCESS_PERIOD_30_DAYS
            - ACCESS_PERIOD_90_DAYS
            - ACCESS_PERIOD_365_DAYS
          type: string
          format: enum
        payment_method_id:
          readOnly: true
          type: string
          description: >-
            The payment method that was used to (attempt to) pay for the
            transaction. If multiple payment attempts were made,
             this will be the last payment method used, or it may be empty if the attempt failed.
        subscription_id:
          readOnly: true
          type: string
          description: >-
            A subscription ID that is associated with the transaction. This is
            only applicable for subscription-based offers.
        create_time:
          readOnly: true
          type: string
          description: The time at which this Transaction was created.
          format: date-time
        capture_time:
          readOnly: true
          type: string
          description: The time at which the Transaction amount was captured.
          format: date-time
        is_test:
          readOnly: true
          type: boolean
          description: >-
            Indicates whether this is a test transaction made in a sandbox
            environment.
        offer_name:
          readOnly: true
          type: string
          description: >-
            The name of the offer that was purchased. This is dematerialized
            from the offer at read-time.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    google.type.Money:
      type: object
      properties:
        currency_code:
          type: string
          description: The three-letter currency code defined in ISO 4217.
        units:
          type: string
          description: |-
            The whole units of the amount.
             For example if `currencyCode` is `"USD"`, then 1 unit is one US dollar.
        nanos:
          type: integer
          description: |-
            Number of nano (10^-9) units of the amount.
             The value must be between -999,999,999 and +999,999,999 inclusive.
             If `units` is positive, `nanos` must be positive or zero.
             If `units` is zero, `nanos` can be positive, zero, or negative.
             If `units` is negative, `nanos` must be negative or zero.
             For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.
          format: int32
      description: Represents an amount of money with its currency type.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````